Package ru.bitel.bgbilling.kernel.module.common.service

# Interface ModuleService

@MTOM public interface ModuleService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `componentAvailable()`
  `void`
  `componentInstall(String name)`
  `void`
  `componentReinstall(int id)`
  `void`
  `componentUninstall(String name)`
  `Set<Integer>`
  `contractModuleIds(int contractId)`
  `List<BGModule>`
  `contractModules(int contractId)`
  `List<BGInstalledModule>`
  `installedClientModuleList()`
  `void`
  `installedClientModulePacketGet(String module, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data)`
  `List<BGInstalledModule>`
  `installedModuleList()`
  `List<BGInstalledModule>`
  `installedPluginList()`
  `int`
  `moduleAdd(String module, String title)`
  `List<BGModule>`
  `moduleByNameList(String name)`
  `void`
  `moduleDelete(int id)`
  `List<BGModule>`
  `moduleList()`
  `List<Service>`
  `moduleServiceList(int moduleId)`
  `void`
  `moduleUpdate(BGModule module)`
  `List<Service>`
  `moduleUsedServiceList(int moduleId)`
  `void`
  `serviceDelete(int id)`
  `Service`
  `serviceGet(int serviceId)`
  `List<Service>`
  `serviceList(int moduleId)`
  `int`
  `serviceUpdate(Service service)`

- ## Method Details

  - ### moduleAdd

    int moduleAdd(String module, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleUpdate

    void moduleUpdate(BGModule module) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleDelete

    void moduleDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleList

    List<BGModule> moduleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleByNameList

    List<BGModule> moduleByNameList(String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### installedModuleList

    List<BGInstalledModule> installedModuleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### installedPluginList

    List<BGInstalledModule> installedPluginList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractModuleIds

    Set<Integer> contractModuleIds(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractModules

    List<BGModule> contractModules(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### installedClientModuleList

    List<BGInstalledModule> installedClientModuleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### installedClientModulePacketGet

    void installedClientModulePacketGet(String module, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### componentInstall

    void componentInstall(String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### componentUninstall

    void componentUninstall(String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### componentAvailable

    List<String> componentAvailable() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### componentReinstall

    void componentReinstall(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleServiceList

    List<Service> moduleServiceList(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleUsedServiceList

    List<Service> moduleUsedServiceList(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### serviceGet

    Service serviceGet(int serviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### serviceDelete

    void serviceDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### serviceUpdate

    int serviceUpdate(Service service) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### serviceList

    List<Service> serviceList(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`